!set title=Suma guiada
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
author=XIAO, Gang
email=xiao@unice.fr
computeanswer=no
precision=10000
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r
varcnt=30
prevarcnt=24
postvarcnt=5
replycnt=12
choicecnt=0
conditioncnt=2
feedbackcnt=8
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randitem 8,9,10,12,14,15,16

val6=$[rint($(tmp0))]
tmp0=!randint $val6/2+1, $val6-1

tmp1=!randint $val6+1, 2*$val6-1

tmp2=!randitem $(tmp0),$(tmp1)

val7=$[rint($(tmp2))]
tmp0=!randint 2, 1.5*$val6

val8=$[rint($(tmp0))]

!ifval gcd($val8,$val6)>1
val8=$[rint($val8+1)]
!endif
tmp0=!randint 2, 1.5*$val7

val9=$[rint($(tmp0))]

!ifval gcd($val9,$val7)>1
val9=$[rint($val9+1)]
!endif
val10=<HR noshade size=2>
val11=
val12=$[rint(0)]
val13=<font size=+2>
val14=</font>
val15=sólo el numerador,sólo el denominador,	el numerador y el denominador
tmp0=!randitem Reescribir las dos fracciones para que tengan	    el mismo denominador,	    Igualar el denominador de las dos fracciones	

val16=$(tmp0)
val17=$val16,	    Reescribir las dos fracciones para que tengan el mismo numerador,	    Sumar los numeradores primero,	    Sumar los denominadores primero,	    Sumar los numeradores y multiplicar los denominadores,	    Multiplicar los numeradores	
tmp0=!itemcnt $val17

val18=$[rint($(tmp0))]
tmp0=!shuffle $val18

val19=$(tmp0)
tmp0=!positionof item 1 in $val19

val20=$[rint($(tmp0))]
tmp0=!item $val19 of $val17

val17=$(tmp0)
val21=Sumar los numeradores y guardar el denominador común,	 Sumar separadamente los numeradores y los denominadores	
tmp0=!itemcnt $val21

val22=$[rint($(tmp0))]
tmp0=!shuffle $val22

val23=$(tmp0)
tmp0=!positionof item 1 in $val23

val24=$[rint($(tmp0))]
tmp0=!item $val23 of $val21

val21=$(tmp0)
val25=r1
dynsteps=yes
oefsteps=$val25 
nextstep=!nosubst $val25 
!readproc oef/steps.proc
replytype1=click
replyname1=Método etapa 1
replygood1=$val20;$val17
replytype2=menu
replyname2=Objetos que hay que multiplicar 1
replygood2=3;$val15
replytype3=numeric
replyname3=Multiplicador 1
replygood3=?analyze 26
replytype4=menu
replyname4=Objetos que hay que multiplicar 2
replygood4=3;$val15
replytype5=numeric
replyname5=Multiplicador 2
replygood5=?analyze 27
replytype6=numeric
replyname6=Nuevo numerador 1
replygood6=?analyze 28
replytype7=numeric
replyname7=Nuevo denominador 1
replygood7=?analyze 29
replytype8=numeric
replyname8=Nuevo numerador 2
replygood8=?analyze 30
replytype9=numeric
replyname9=Nuevo denominador 2
replygood9=?analyze 31
replytype10=click
replyname10=Método etapa 2
replygood10=$val24;$val21
replytype11=numeric
replyname11=Numerador de la suma
replygood11=?analyze 32
replytype12=numeric
replyname12=Denominador de la suma
replygood12=?analyze 33
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Calcula la siguiente suma.	<p><center>	
!insmath $val8/($val6) + $val9/($val7)
$()	</center> <p>	 
!if $m_step=1 
$()	 Elige el método inicial: <ul>	  
!for m_k=1 to $val18 
$() <li> 
!read oef/embed.phtml r1,\k 
$()  
!next
$()	 </ul>	 
!exit
{}	 
!endif
$()	 
!if $m_step=2 or $val12<1 
$()	 Etapa 1. Igualar los denominadores de las fracciones.	 <p>	 Multiplicando  
!read oef/embed.phtml r2 
$() de 
!insmath $val8/($val6)
$() por  
!read oef/embed.phtml r3,3 
$(), se obtiene	 <p><center><table border=0 cellpadding=3>	  <tr>	  <td align=center>$val8<td rowspan=3>&nbsp;$val13=$val14&nbsp;	  <td align=center> 
!read oef/embed.phtml r6,3 
$()	  <tr><td>$val10<td>$val10	  <tr><td align=center>$val6	  <td align=center> 
!read oef/embed.phtml r7,3 
$()	 </table></center> <p>	 Multiplicando  
!read oef/embed.phtml r4 
$() de 
!insmath $val9/($val7)
$() por  
!read oef/embed.phtml r5,3 
$(), se obtiene	 <p><center><table border=0 cellpadding=3>	  <tr>	  <td align=center>$val9<td rowspan=3>&nbsp;$val13=$val14&nbsp;	  <td align=center> 
!read oef/embed.phtml r8,3 
$()	  <tr><td>$val10<td>$val10	  <tr><td align=center>$val7	  <td align=center> 
!read oef/embed.phtml r9,3 
$()	 </table></center> <p>	 
!exit
{}	 
!endif
$()	 Etapa 1. Se tiene 
!insmath $val8/($val6) = $(val11[1])/($(val11[2]))
$() y	 
!insmath $val9/($val7) = $(val11[3])/($(val11[4]))
$(), luego la suma es	 <p><center>	  
!insmath $(val11[1])/($(val11[2])) + $(val11[3])/($(val11[4]))
$() .	 </center> <p>	  
!if $m_step=3 
$()	  ¿Cuál es la siguiente etapa?<ul>	   
!for m_k=1 to $val22 
$() <li> 
!read oef/embed.phtml r10,\k 
$()  
!next
$()	  </ul>	  
!exit
{}	  
!endif
$()	 Etapa 2. Sumamos los numeradores y guardamos el denominador común, luego	 la suma es	 <p><center>	 <table border=0 cellpadding=2>	 <tr><td align=center>$val8	 <td rowspan=3>&nbsp;&nbsp;$val13+$val14&nbsp;&nbsp;</td>	 <td align=center>$val9	 <td rowspan=3>&nbsp;&nbsp;&nbsp;$val13=$val14&nbsp;&nbsp;&nbsp;</td>	 <td align=center>$(val11[1])	 <td rowspan=3>&nbsp;&nbsp;$val13+$val14&nbsp;&nbsp;</td>	 <td align=center>$(val11[3])	 <td rowspan=3>&nbsp;&nbsp;&nbsp;$val13=$val14&nbsp;&nbsp;&nbsp;</td>	 <td align=center> 
!read oef/embed.phtml r11,4 
$()	 <tr><td>$val10<td>$val10<td>$val10<td>$val10<td>$val10	 <tr><td align=center>$val6	 <td align=center>$val7	 <td align=center>$(val11[2])	 <td align=center>$(val11[4])	 <td align=center> 
!read oef/embed.phtml r12,4 
$()	 </table>	 </center> <p>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:postdef
!if $m_step=2 
val25=r2,r3,r4,r5,r6,r7,r8,r9
!endif

!ifval $val12<1 and $val26>0 and $val26=floor($val26) and $val27>0 and $val27=floor($val27)	    and $val28=$val8*$val26 and $val29=$val6*$val26	    and $val30=$val9*$val27 and $val31=$val7*$val27	    and $val29=$val31
val12=1
!endif
!if $val12>0 
val11=$val28,$val29,$val30,$val31
!endif
!if $m_step=3 and $val12>0 
val25=r10
!endif
!if $m_step=4 
val25=r11,r12
!endif

!exit

:feedback
!ifval $m_step=1 and $m_reply1 notsametext ~$val20
 <p>	 Las dos fracciones tienen denominadores diferentes. No podemos sumarlas	 directamente; es necesario reescribirlas para igualar su denominador.	
$()
!endif
!ifval $m_step=2 and ($m_reply2 notsametext ~3 or $m_reply4 notsametext ~3)
 <p>	 Para que una fracción siga siendo la misma, es necesario multiplicar	 su numerador y denominador por el mismo número.	
$()
!endif
!ifval $m_step=3 and ($val26=0 or $val27=0)
 <p>	 ¡No puedes multiplicar el numerador y el denominador de una fracción	 por 0!	 <p>	 Vous obtiendriez une ``fraction'' 
!insmath 0/(0)
$(), qui n'a pas de sens.	
$()
!endif
!ifval $m_step=3 and ($val26<0 or $val27<0)
 <p>	 Lo siento pero en este ejercicio no está permitido multiplicar por números	 negativos.	
$()
!endif
!ifval $m_step=3 and $val26>0 and $val27>0 and (\floor($val26)!=$val26 or \floor($val27)!=$val27)
 <p>	 Debes multiplicar el numerador y el denominador de una fracción por un entero.	
$()
!endif
!ifval $m_step=3 and $val29=$val6*$val26 and $val31=$val7*$val27 and $val29!=$val31
 <p>	 El objetivo es igualar el denominador de las fracciones. Las	 multiplicaciones que has realizado no producen este resultado, ya que	 las fracciones producidas tienen denominadores diferentes. Multiplicaciones	 equivocadas.	
$()
!endif
!ifval $m_step=3 and ($val29!=$val6*$val26 or $val28!=$val8*$val26 or	        $val31!=$val7*$val27 or $val30!=$val9*$val27)
 <p>	  Error de cálculo en las multiplicaciones.	
$()
!endif
!ifval $m_step=3 and $m_reply10 notsametext ~$val24
 <p>	 Para sumar dos fracciones con el mismo denominador, se suman los	 numeradores y se guarda el denominador común.	
$()
!endif

!exit

:test

!ifval $val12>0
 condtest1=1
!else
 condtest1=0
!endif
condname1=Las multiplicaciones son correctas

!ifval $val12>0 and $val32=$val28+$val30 and $val33=$val29
 condtest2=1
!else
 condtest2=0
!endif
condname2=La suma está bien

!exit

:stat
vsavelist=6,7,8,9,10,11,12,13,14,18,20,22,24,26,27,28,29,30,31,32,33
embedcnt=12
